明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2451|回复: 7

引线标注

[复制链接]
发表于 2005-7-25 21:22:00 | 显示全部楼层 |阅读模式

这样的标注怎么用vba实现?

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2005-7-26 10:26:00 | 显示全部楼层
[WEB]http://www.vba.cn/object/acad2004/idh_leader_object.htm[/WEB]
 楼主| 发表于 2005-7-26 10:40:00 | 显示全部楼层

这个东东很好,谢谢啦,万分感谢,

 楼主| 发表于 2005-8-5 19:02:00 | 显示全部楼层

引线标注时末尾的注释用的是多行文本的形式,如何在程序中确定其字高呢?谢谢,头疼

 楼主| 发表于 2005-8-5 21:01:00 | 显示全部楼层

'创建引线标注
Public Function AddLeader()
    ' This example creates a leader in model space.
    ' The leader is not attached to any annotation object
    ' in this example.
  
    Dim leaderObj As AcadLeader, MTextObj  As AcadMText
    Dim points(0 To 8) As Double
    Dim leaderType As Integer
    Dim annotationObject As AcadObject
    Dim textString As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double
    Dim width As Double
    dim str as string

     str=100     
    ' Define the new MText object
    textString = "大概可能" & str
    insertionPoint(0) =  10: insertionPoint(1) =  13: insertionPoint(2) = 0

'    height = 1.8
    width = 10
    ' Create the MText object in model space
    Set MTextObj = ThisDrawing.ModelSpace.AddMText(insertionPoint, width, textString)
   

   
    points(0) = 0: points(1) = 0: points(2) = 0
    points(3) = 10: points(4) =  10: points(5) = 0
    points(6) = 11: points(7) =  10: points(8) = 0
    'leaderType = acLineWithArrow
    leaderType = acLineNoArrow
    Set annotationObject = MTextObj
       
    ' Create the leader object in model space
    Set leaderObj = ThisDrawing.ModelSpace.AddLeader(points, annotationObject, leaderType)
    ZoomAll
   
End Function
这是我写的函数,高手看看怎么改变字高,默认是2.5

,改成1.8,

 楼主| 发表于 2005-8-6 09:52:00 | 显示全部楼层

我发现points(8)这个点组中,最后三位即6,7,8确定的点对引线标注没有影响,关键是怎么调整好多行文本的字高和字宽,还是希望能有办法调整这个字高,希望有高手给看看!

发表于 2005-8-11 10:42:00 | 显示全部楼层
可以在定义的时候就调整它的高度,height = 1.8
    width = 10
就在这个里面定义,检查以下美观就OK了
 楼主| 发表于 2005-8-11 19:10:00 | 显示全部楼层
谢谢,知道了,把多行文本字高设置一下MTextObj.height = 1.8,然后调整点的位置就可以满足要求
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 12:52 , Processed in 0.171042 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表